ListNetworkMigrationDefinitions - ApplicationMigrationService

ListNetworkMigrationDefinitions

Lists all network migration definitions in the account, with optional filtering.

Request Syntax

POST /network-migration/ListNetworkMigrationDefinitions HTTP/1.1 Content-type: application/json { "filters": { "networkMigrationDefinitionIDs": [ "string" ] }, "maxResults": number, "nextToken": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

filters

Filters to apply when listing network migration definitions.

Type: ListNetworkMigrationDefinitionsRequestFilters object

Required: No

maxResults

The maximum number of results to return in a single call.

Type: Integer

Valid Range: Minimum value of 1. Maximum value of 1000.

Required: No

nextToken

The token for the next page of results.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "arn": "string", "name": "string", "networkMigrationDefinitionID": "string", "scopeTags": { "string" : "string" }, "sourceEnvironment": "string", "tags": { "string" : "string" } } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

A list of network migration definition summaries.

Type: Array of NetworkMigrationDefinitionSummary objects

nextToken

The token to use to retrieve the next page of results. This value is null when there are no more results to return.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 2048.

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

Operating denied due to a file permission or access check error.

HTTP Status Code: 403

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: